Page MenuHomePhabricator

Make std::get_temporary_buffer respect overaligned types when possible
ClosedPublic

Authored by ckennelly on Jan 4 2018, 4:33 PM.

Diff Detail

Repository
rCXX libc++

Event Timeline

ckennelly created this revision.Jan 4 2018, 4:33 PM
EricWF accepted this revision.Jan 11 2018, 2:34 PM

This LGTM minus nits.

Is there a LWG issue or paper that specifies this change? or is it just a general bug fix?

include/memory
2008

Please use the alignment_of trait; since that's always available within the library, but different spellings of the alignof keyword aren't.

2056

alignment_of.

This revision is now accepted and ready to land.Jan 11 2018, 2:34 PM
ckennelly updated this revision to Diff 129698.Jan 12 2018, 1:28 PM
ckennelly marked 2 inline comments as done.Jan 12 2018, 1:32 PM

This LGTM minus nits.

Is there a LWG issue or paper that specifies this change? or is it just a general bug fix?

This is just a general bug fix.

include/memory
2008

I also guarded for STDCPP_DEFAULT_NEW_ALIGNMENT

ckennelly marked an inline comment as done.Jan 18 2018, 1:10 PM

I don't have commit access, so can this be committed to trunk?

This revision was automatically updated to reflect the committed changes.